> For the complete documentation index, see [llms.txt](https://docs.nymcard.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nymcard.com/get-started/product-management/balance-limits.md).

# Balance limits

The balance limit feature in nCore platform enables you to define the maximum and/or minimum limit on the funds an individual account can hold. Balance limit that you define shall be tied with the card product. Balance limit shall become applicable to the accounts associated with the card product.&#x20;

### Create balance limit

You can create a new balance limit as per your requirement by sending a **POST** request to **/balancelimits** endpoint as shown below.

<details>

<summary><a href="https://nymcard.com/docs/api#operation/createBalanceLimit">POST /balancelimits </a></summary>

**`{`**\
`    `**`"description": "The balance limit – For account",`**\
`    `**`"type": "PER_ACCOUNT",`**\
`    `**`"min_amount": 1500,`**\
`    `**`"max_amount": 1500,`**\
`    `**`"currency": "USD"`**\
\&#xNAN;**`}`**

</details>

### Retrieve balance limits

nCore offers two balance limits retrieval options.

***Retrieve all balance limits***

You can retrieve all existing balance limits by sending a **GET** request to **/balancelimits** endpoint shown below.

> [**GET /balancelimits** ](https://nymcard.com/docs/api#operation/listBalanceLimits)

***Retrieve a specific balance limit***

You can retrieve a specific balance limit by sending a **GET** request to **/balancelimits/{id}** endpoint, where id is the balance limit id.

> [**GET /balancelimits/{id}**](https://nymcard.com/docs/api#operation/getBalanceLimit)

### Update a balance limit

You can update a balance limit by sending a **PUT** request to **/balancelimits/{id}** endpoint as shown below.

> [**PUT /balancelimits/{id}**](https://nymcard.com/docs/api#operation/updateBalanceLimit)

### Link balance limit with a card product

You can associate a balance limit to your card product by sending a **POST** requests to **/cardproducts/{id}/balancelimits:link** endpoint as shown below.

> [**POST /cardproducts/{id}/balancelimits:link**](https://nymcard.com/docs/api#operation/linkBalanceLimits)

### Unlink a balance limit from a card product

You can unlink a balance limit from a card product by sending a **POST** request to /**cardproducts/{id}/balancelimits:unlink** endpoint as shown below.

> [**POST /cardproducts/{id}/balancelimits:unlink** ](https://nymcard.com/docs/api#operation/unlinkBalanceLimits)

### Retrieve linked balance limits

You can retrieve all balance limits which are linked with your card product. Send a **GET** request to /**cardproducts/{id}/balancelimits** endpoint as shown below.

> [**GET /cardproducts/{id}/balancelimits**](https://nymcard.com/docs/api#operation/getBalanceLimits)

### Link balance limit to account

You can link balance limit to the specific account. Send a **POST** request to **/accounts/{id}/balancelimits:link** endpoint as shown below.

> [**POST /accounts/{id}/balancelimits:link**](https://nymcard.com/docs/api#tag/Accounts/operation/linkBalanceLimit)

### **Unl**ink balance limit to account

You can unlink balance limit from the specific account. Send a **POST** request to **/accounts/{id}/balancelimits:unlink** endpoint as shown below.

> [**POST /accounts/{id}/balancelimits:unlink**](https://nymcard.com/docs/api#tag/Accounts/operation/unlinkBalanceLimit)

### **Get balance limits linked to account**

You can get list of balance limits linked to specific account. Send a **GET** request to **/accounts/{id}/balancelimits** endpoint as shown below.

> [**GET /accounts/{id}/balancelimits**](https://nymcard.com/docs/api#tag/Accounts/operation/getBalanceLimitsByAccountId)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nymcard.com/get-started/product-management/balance-limits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
